#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-common
Version		:	3.18.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Tools needed to bootstrap GNOME modules
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://gitlab.gnome.org/GNOME/gnome-common/tags

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This module contains various files needed to bootstrap GNOME modules
built from git.  It contains the following components:
 1. A common "autogen.sh" script that can be used to configure a
    source directory checked out from git.
 2. Some commonly used macros (quite a small set these days -- macros
    should be packaged with their respective modules).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/gnome-autogen.sh
%{_datadir}/aclocal/*.m4

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
#M4 libraries handle by autoconf-archive
%{__rm} -fr %{buildroot}%{_datadir}/aclocal/ax_*.m4

#-----------------------------------------------------------------------------
%changelog
